<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("../__common__/include-common-html.php");
	my_session_start();
	require("../account/__logincheck.php");
	if ($_SESSION['システム管理者'] <> "YES") {
		error_exit("アクセス権がありません。", True);
	}
	html_header('「c_memo_strip_tags」データ登録', '', '#ffffff');
//	page_header();
	echo '<div style="margin:10px;">';
	echo '<h3 style="color:#ff0000">カレンダーのm_schedule「c_memo_strip_tags」データ更新(登録)</h3>';
	if ($_POST) {
		done_proc();
		echo '<br><b>終了</b>';
	} else {
		post_form();
	}
	echo '</div>';
	page_footer();
	html_footer();
	exit();
?>
<?php
function post_form() {
?>
	<form name="form0" method="POST" action="<?= $_SERVER['SCRIPT_NAME'] ?>" style="margin-left:10px;">
		<br>MyHome Portal Ver.2.68の「カレンダー検索機能でHTMLタグ内文字を検索しないようにする」のため、<br>
		データベース「<b>_db_calendar</b>」と「<b>_mydb_calendar</b>」の<br>
		テーブル「<b>m_schedule</b>」の列「<b><font color=blue>c_memo_strip_tags</font></b>」を一括更新(登録)します。<br><br>
	<table>
	<tr>
		<td>MySQL管理者 ユーザー名：</td>
		<td><input class="text" type="text" name="id" size=10 value=""></td>
	</tr>
	<tr>
		<td>MySQL管理者 パスワード：</td>
		<td><input type="password" name="password" size=30 value=""></td>
	</tr>
	</table>
		<input type="submit" name="実行" value="実行">
	</form>
<?
}

function done_proc() {
	if ($_POST['id'] == '') {
		echo '<br><br>ユーザー名を入れてください。<br>';
		exit;
	}
	if ($_POST['password'] == '') {
		echo '<br><br>パスワードを入れてください。<br>';
		exit;
	}
	$id = $_POST['id'];
	$password = $_POST['password'];
	update_db('_db_calendar', $id, $password);
	update_db('_mydb_calendar', $id, $password);
}
function update_db($dbname, $id, $password) {
	echo '<br><b>【'.$dbname.'】</b><br>';
	$con = mysql_connect('localhost', $id, $password);
	if ($con == False) {
		echo '<br><br>データベースアカウントエラー<br>';
		exit;
	}
	mysql_query("set names utf8", $con);
	if (!mysql_select_db($dbname, $con)) {
		echo '<br><br>データベース接続エラー<br>';
		exit;
	}
	$sql = "select id_schedule, c_memo from m_schedule";
	$rs = my_mysql_query($sql);
	$rowcnt = mysql_num_rows($rs);
	if ($rowcnt > 0) {
		$cnt = 0;
		while ($rec=mysql_fetch_array($rs)) {
			$sql = "update m_schedule set c_memo_strip_tags = '".str_for_mysql(strip_tags($rec['c_memo']))."'";
			$sql .= " where id_schedule = ".$rec['id_schedule'];
			if (my_mysql_query($sql)) {
				$cnt++;
			} else {
				echo '&nbsp;&nbsp;エラー:'.$sql.'<br>';
			}
		}
		$con = mysql_close($con);
		echo '&nbsp;&nbsp;&nbsp;&nbsp;更新件数： <b>'.$cnt.'</b>件<br>';
	} else {
		echo '&nbsp;&nbsp;&nbsp;&nbsp;該当データがありませんでした。<br>';
	}
}
?>
